API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

PolycurveGeometryBuilderAppendArc Method

Appends an arc using three points. The first point is taken as the last point of the last element of the polycurve.

Namespace:  Tekla.Structures.Geometry3d
Assembly:  Tekla.Structures (in Tekla.Structures.dll) Version: 2020.0.0.0 (2020.0.55582.0)
Syntax
public PolycurveGeometryBuilder AppendArc(
	Point middlePoint,
	Point endPoint
)

Parameters

middlePoint
Type: Tekla.Structures.Geometry3dPoint
Arc middle point
endPoint
Type: Tekla.Structures.Geometry3dPoint
Arc end point

Return Value

Type: PolycurveGeometryBuilder
The builder itself
Remarks
This function requires that there is at least one curve in the polycurve
See Also